autopkgtest-virt-unshare(1)

NAME
autopkgtest-virt-unshare - autopkgtest using unshare user namespaces

SYNOPSIS
autopkgtest [...] -- unshare [options]

DESCRIPTION
autopkgtest-virt-unshare provides an autopkgtest by using a rootfs tarball and the unshare command to create a chroot as a normal user. autopkgtest-virt-unshare requires the unshare(1) executable from util-linux version 2.38 or later. For distribution versions where that is not available system-wide, such as Debian 11, Ubuntu 22.04 and older releases, a locally-installed copy of the unshare executable in a directory prepended to the PATH is sufficient. Normally autopkgtest-virt-unshare will be invoked by autopkgtest.

OPTIONS

-a | --arch ARCHITECTURE
    Debian name of the architecture.

-b | --bind OUTSIDE INSIDE
    Bind mount a directory from the outside to a mountpoint inside. OUTSIDE needs to be an existing directory in the local filesystem. INSIDE needs to be an absolute path in the new chroot and will be created if it does not exist.

-p | --prefix PREFIX
    Prefix for the temporary unpack directory (passed to mkdtemp ).

-r | --release RELEASE
    The distribution to use Mnemonic: the r is the first letter in "release".

-t | --tarball /path/to/tarball
    Path to a rootfs tarball.

-u | --unpack-dir /path/for/new/rootfs
    Specifies a directory where the rootfs tarball should be extracted. By default mkdtemp is used to create a temporary directory.

-d | --debug
    Enables debugging output. Probably not hugely interesting.

INPUT, OUTPUT AND EXIT STATUS
The behaviour of autopkgtest-virt-unshare is as described by the AutomatedTesting virtualisation regime specification.

SEE ALSO
autopkgtest(1), autopkgtest-chroot(1), /usr/share/doc/autopkgtest/.

AUTHORS AND COPYRIGHT
This manpage is part of autopkgtest, a tool for testing Debian binary packages. autopkgtest is Copyright (C) 2006-2007 Canonical Ltd and others. See /usr/share/doc/autopkgtest/CREDITS for the list of contributors and full copying conditions.